# Security Events

> Broad published security-event registry feed and its relation to the promoted events feed.

## GET /v1/security-events

List the broad published security-event registry feed. Items that affect the tracked universe can also be promoted into `/v1/events`.

### Query Parameters

| Parameter              | Type   | Default | Description                              |
| ---------------------- | ------ | ------- | ---------------------------------------- |
| page                   | number | 1       | Page number                              |
| limit                  | number | 50      | Results per page, max 100                |
| source                 | string | -       | Registry source                          |
| affectsTrackedUniverse | string | -       | `true` to return only in-universe events |
| chainId                | number | -       | Chain ID                                 |
| severity               | string | -       | Registry severity                        |
| search                 | string | -       | Search title and description             |

### Example

```bash
curl "https://api.philidor.io/v1/security-events?affectsTrackedUniverse=true&limit=5"
```

### Response

```json
{
  "data": [
    {
      "id": 101,
      "source": "thatsrekt",
      "sourceId": "rekt-101",
      "chainId": 1,
      "chainSlug": "ethereum",
      "title": "Security event",
      "description": "Published registry item",
      "attackers": [],
      "victims": [],
      "netScore": 12,
      "confirmations": 3,
      "disconfirmations": 0,
      "lossAmountUsd": null,
      "severity": "high",
      "txHash": "0x...",
      "nativeUrl": "https://example.com/event",
      "links": [],
      "affectsTrackedUniverse": true,
      "attackedAt": "2026-07-01T12:00:00Z",
      "promotedEventId": 42
    }
  ],
  "meta": {
    "page": 1,
    "limit": 5,
    "hasMore": false
  }
}
```